
From: Johannes Stezenbach <js@linuxtv.org>

Disable zig-zag and set min_delay_ms = 4000 as suggested by Allan Guild to
improve tuning with weak signal.

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/frontends/l64781.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

diff -puN drivers/media/dvb/frontends/l64781.c~dvb-frontend-l64781-improve-tuning drivers/media/dvb/frontends/l64781.c
--- 25/drivers/media/dvb/frontends/l64781.c~dvb-frontend-l64781-improve-tuning	Mon Jun 27 15:36:04 2005
+++ 25-akpm/drivers/media/dvb/frontends/l64781.c	Mon Jun 27 15:36:04 2005
@@ -474,11 +474,12 @@ static int l64781_init(struct dvb_fronte
 	return 0;
 }
 
-static int l64781_get_tune_settings(struct dvb_frontend* fe, struct dvb_frontend_tune_settings* fesettings)
+static int l64781_get_tune_settings(struct dvb_frontend* fe,
+				    struct dvb_frontend_tune_settings* fesettings)
 {
-        fesettings->min_delay_ms = 200;
-        fesettings->step_size = 166667;
-        fesettings->max_drift = 166667*2;
+        fesettings->min_delay_ms = 4000;
+        fesettings->step_size = 0;
+        fesettings->max_drift = 0;
         return 0;
 }
 
_
